<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * Class AdminConnectPayLogsController - used for logs display for module
 */
class AdminConnectPayLogsController extends ModuleAdminController
{
    public function __construct()
    {
        parent::__construct();
        $this->className = ConnectPayLog::class;
        $this->table = ConnectPayLog::$definition['table'];
        $this->bootstrap = true;
        $this->list_no_link = true;
        $this->initList();
    }

    public function initList()
    {
        $this->fields_list = [
            'id_connectpay_log' => [
                'title' => $this->l('ID'),
                'align' => 'center',
            ],
            'payload' => [
                'title' => $this->l('Code'),
                'align' => 'center',
                'class' => 'connectpay-text-break',
            ],
            'message' => [
                'align' => 'center',
                'title' => $this->l('Message'),
                'class' => 'connectpay-text-break',
            ],
            'date_add' => [
                'title' => $this->l('Date'),
                'type' => 'datetime',
            ],
        ];

        $this->_defaultOrderBy = 'id_connectpay_log';
        $this->_defaultOrderWay = 'DESC';

        $this->actions_available = [''];
    }

    public function renderList()
    {
        unset($this->toolbar_btn['new']);
        return parent::renderList();
    }

    public function setMedia($isNewTheme = false)
    {
        $this->addCSS("{$this->module->getPathUri()}views/css/admin/logs_tab.css");
        parent::setMedia($isNewTheme);
    }
}
