<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

use Invertus\ConnectPay\Infrastructure\Notification\ErrorNotification;

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * Class AdminConnectPaySettingsController - used for settings display for module
 */
class AdminConnectPaySettingsController extends ModuleAdminController
{
    /** @var ConnectPay */
    public $module;

    public function __construct()
    {
        parent::__construct();
        $this->bootstrap = true;
    }

    public function init()
    {
        /** @var ErrorNotification $errorNotification */
        $errorNotification = $this->module->getService(ErrorNotification::class);

        if ($error = $errorNotification->getMessage()) {
            $this->errors[] = $error;
        }

        parent::init();
        $this->setErrorMessages();

        $this->initOptions();
    }

    public function initOptions()
    {
        $this->fields_options = [];
    }

    private function setErrorMessages(): void
    {
        /** @var ErrorNotification $errorNotification */
        $errorNotification = $this->module->getService(ErrorNotification::class);

        if ($error = $errorNotification->getMessage()) {
            $this->errors[] = $error;
        }
    }
}
