<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Adapter;

use Tools as PrestashopTools;

class Tools
{
    public function redirectAdmin(string $controller): void
    {
        PrestashopTools::redirectAdmin($controller);
    }

    public function redirect(string $controller): void
    {
        PrestashopTools::redirectAdmin($controller);
    }

    public function isSubmit(string $form): bool
    {
        return PrestashopTools::isSubmit($form);
    }

    public function getValue(string $value, $defaultValue = false): ?string
    {
        $toolsValue = PrestashopTools::getValue($value, $defaultValue);

        return $toolsValue ? $toolsValue : null;
    }

    public function getRemoteAdd(): string
    {
        return PrestashopTools::getRemoteAddr();
    }

    public function encrypt(string $password): string
    {
        return PrestashopTools::encrypt($password);
    }

    public function strtolower(string $string): string
    {
        return PrestashopTools::strtolower($string);
    }

    public function strtoupper(string $string): string
    {
        return PrestashopTools::strtoupper($string);
    }
}
