<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Config;

/**
 * Class TabConfig - responsible for module tab configurations
 */
class TabConfig
{
    public function getTabs(): array
    {
        return [
            [
                'name' => 'ConnectPay',
                'parent_class_name' => ConnectPayConfig::PARENT_CONTROLLER,
                'class_name' => ConnectPayConfig::TAB_CONTROLLER,
                'visible' => false,
            ],
            [
                'name' => 'Set up',
                'parent_class_name' => ConnectPayConfig::TAB_CONTROLLER,
                'class_name' => ConnectPayConfig::OAUTH_CONTROLLER,
            ],
            [
                'name' => 'Payments',
                'parent_class_name' => ConnectPayConfig::TAB_CONTROLLER,
                'class_name' => ConnectPayConfig::PAYMENTS_CONTROLLER,
            ],
            [
                'name' => 'Order states',
                'parent_class_name' => ConnectPayConfig::TAB_CONTROLLER,
                'class_name' => ConnectPayConfig::STATES_CONTROLLER,
            ],
            [
                'name' => 'Logs',
                'parent_class_name' => ConnectPayConfig::TAB_CONTROLLER,
                'class_name' => ConnectPayConfig::LOGS_CONTROLLER,
            ],
        ];
    }
}
