<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

namespace Invertus\ConnectPay;

interface ContainerProviderInterface
{
    /**
     * Gets service that is defined by module container.
     *
     * @param string $serviceName
     *
     * @return object|null
     */
    public function getService(string $serviceName);

    /**
     * Extend service to registered services to be used in DI.
     * E.g if you have LoggerInterface defined in container using this method you can override it to become NullLogger
     * or to anything you like on the runtime of your application.
     *
     * @param string $id
     * @param null $concrete
     */
    public function extend(string $id, $concrete = null): self;
}
