<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Infrastructure\Adapter;

interface PrestaContextAdapterInterface
{
    public function getShopId(): int;

    public function getLanguageId(): int;

    public function getCurrencyIso(): string;

    public function getCustomerId(): int;

    public function getShopDomain(): string;

    public function getShopName(): string;

    public function getAdminLink(string $controllerName, array $params = []): string;

    public function getModuleLink(
        string $module,
        $controller = 'default',
        array $params = [],
        $ssl = null,
        $idLang = null,
        $idShop = null,
        $relativeProtocol = false
    ): string;

    public function getSmarty(): \Smarty;
}
