<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types = 1);

namespace Invertus\ConnectPay\Infrastructure\Bootstrap;

use Invertus\ConnectPay\Infrastructure\Utility\VersionUtility;

/**
 * This is the class which is responsible to hold all the hooks required for application to function.
 */
class HookListProvider
{
    public function getHooks(): array
    {
        $hooks = [
            'paymentOptions',
            'displayPayment',
            'actionFrontControllerSetMedia',
            'displayOrderConfirmation',
            'displayAdminOrder',
            'displayAdminOrderTabContent',
            ];

        if (VersionUtility::isPsVersionLowerThan1700()) {
            $hooks[] = 'paymentReturn';
        }
        else {
            $hooks[] = 'displayPaymentReturn';
        }

        return $hooks;
    }
}
