<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Infrastructure\Context;

use Invertus\ConnectPay\Infrastructure\Adapter\PrestaContextAdapterInterface;

final class GlobalContext implements GlobalShopContextInterface
{
    private $context;

    public function __construct(PrestaContextAdapterInterface $context)
    {
        $this->context = $context;
    }

    public function getShopId(): int
    {
        return $this->context->getShopId();
    }

    public function getLanguageId(): int
    {
        return $this->context->getLanguageId();
    }

    public function getCurrencyIso(): string
    {
        return $this->context->getCurrencyIso();
    }

    public function getShopDomain(): string
    {
        return $this->context->getShopDomain();
    }

    public function getShopName(): string
    {
        return $this->context->getShopName();
    }
}
