<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types = 1);

namespace Invertus\ConnectPay\Infrastructure\Cookie;

use Context;

final class Cookie implements CookieInterface
{
    public function set(string $id, string $value, $expiresOrOptions = 0): void
    {
        setcookie($id, $value, $expiresOrOptions);
    }

    public function get(string $id): ?string
    {
        return Context::getContext()->cookie->{$id} ?? null;
    }
}
