<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types = 1);

namespace Invertus\ConnectPay\Infrastructure\Utility;

class VersionUtility
{
    public static function isPsVersionLowerThan1700(): bool
    {
        return version_compare(_PS_VERSION_, '1.7.0.0', '<');
    }

    public static function isVersionAbove170(): bool
    {
        return version_compare(_PS_VERSION_, '1.7.0', '>=');
    }

    public static function isVersionAbove177()
    {
        return (bool) version_compare(_PS_VERSION_, '1.7.7', '>=');
    }

    public static function isSupportedPhpVersion(): bool
    {
        return PHP_VERSION_ID >= 70100;
    }
}
