<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types = 1);

namespace Invertus\ConnectPay\OAuth\DTO;

class AccessGrantedCriteria
{
    private $state;
    private $responseType;
    private $error;
    private $errorDescription;

    public function __construct(
        string $state,
        string $responseType,
        ?string $error = null,
        ?string $errorDescription = null
    ) {
        $this->state = $state;
        $this->responseType = $responseType;
        $this->error = $error;
        $this->errorDescription = $errorDescription;
    }

    /**
     * @return string
     */
    public function getState(): string
    {
        return $this->state;
    }

    /**
     * @return string
     */
    public function getResponseType(): string
    {
        return $this->responseType;
    }

    /**
     * @return string|null
     */
    public function getError(): ?string
    {
        return $this->error;
    }

    /**
     * @return string|null
     */
    public function getErrorDescription(): ?string
    {
        return $this->errorDescription;
    }
}
