<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types = 1);

namespace Invertus\ConnectPay\OAuth\Exception;

use Invertus\ConnectPay\Exception\ConnectPayException;
use Invertus\ConnectPay\OAuth\DTO\AccessGrantedCriteria;

class AuthenticationAccessException extends ConnectPayException
{
    public const INVALID_STATE = 1;
    public const UNKNOWN_PARAMETERS = 2;
    public const OAUTH_ERROR = 3;

    private $criteria;

    public function setCriteria(AccessGrantedCriteria $criteria): AuthenticationAccessException
    {
        $this->criteria = $criteria;

        return $this;
    }

    public function getCriteria(): AccessGrantedCriteria
    {
        return $this->criteria;
    }
}
